Skip to content
Start here

Create Workers VPC connectivity service

client.connectivity.directory.services.create(ServiceCreateParams { account_id, host, name, 3 more } params, RequestOptionsoptions?): ServiceCreateResponse { host, name, type, 5 more }
POST/accounts/{account_id}/connectivity/directory/services

Create Workers VPC connectivity service

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: ServiceCreateParams { account_id, host, name, 3 more }
account_id: string

Path param: Account identifier

maxLength32
host: InfraIPv4Host { ipv4, network } | InfraIPv6Host { ipv6, network } | InfraDualStackHost { ipv4, ipv6, network } | InfraHostnameHost { hostname, resolver_network }

Body param

One of the following:
InfraIPv4Host { ipv4, network }
ipv4: string
network: Network { tunnel_id }
tunnel_id: string
formatuuid
InfraIPv6Host { ipv6, network }
ipv6: string
network: Network { tunnel_id }
tunnel_id: string
formatuuid
InfraDualStackHost { ipv4, ipv6, network }
ipv4: string
ipv6: string
network: Network { tunnel_id }
tunnel_id: string
formatuuid
InfraHostnameHost { hostname, resolver_network }
hostname: string
resolver_network: ResolverNetwork { tunnel_id, resolver_ips }
tunnel_id: string
formatuuid
resolver_ips?: Array<string> | null
name: string

Body param

type: "http"

Body param

http_port?: number | null

Body param

formatint32
minimum1
https_port?: number | null

Body param

formatint32
minimum1
ReturnsExpand Collapse
ServiceCreateResponse { host, name, type, 5 more }
host: InfraIPv4Host { ipv4, network } | InfraIPv6Host { ipv6, network } | InfraDualStackHost { ipv4, ipv6, network } | InfraHostnameHost { hostname, resolver_network }
One of the following:
InfraIPv4Host { ipv4, network }
ipv4: string
network: Network { tunnel_id }
tunnel_id: string
formatuuid
InfraIPv6Host { ipv6, network }
ipv6: string
network: Network { tunnel_id }
tunnel_id: string
formatuuid
InfraDualStackHost { ipv4, ipv6, network }
ipv4: string
ipv6: string
network: Network { tunnel_id }
tunnel_id: string
formatuuid
InfraHostnameHost { hostname, resolver_network }
hostname: string
resolver_network: ResolverNetwork { tunnel_id, resolver_ips }
tunnel_id: string
formatuuid
resolver_ips?: Array<string> | null
name: string
type: "http"
created_at?: string
formatdate-time
http_port?: number | null
formatint32
minimum1
https_port?: number | null
formatint32
minimum1
service_id?: string
formatuuid
updated_at?: string
formatdate-time

Create Workers VPC connectivity service

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const service = await client.connectivity.directory.services.create({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  host: {
    hostname: 'api.example.com',
    resolver_network: { tunnel_id: '0191dce4-9ab4-7fce-b660-8e5dec5172da' },
  },
  name: 'web-server',
  type: 'http',
});

console.log(service.service_id);
{
  "errors": [],
  "messages": [],
  "result": {
    "created_at": "2024-01-15T09:30:00Z",
    "host": {
      "hostname": "api.example.com",
      "resolver_network": {
        "tunnel_id": "0191dce4-9ab4-7fce-b660-8e5dec5172da"
      }
    },
    "name": "web-server",
    "service_id": "550e8400-e29b-41d4-a716-446655440000",
    "type": "http",
    "updated_at": "2024-01-15T09:30:00Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "created_at": "2024-01-15T09:30:00Z",
    "host": {
      "hostname": "api.example.com",
      "resolver_network": {
        "tunnel_id": "0191dce4-9ab4-7fce-b660-8e5dec5172da"
      }
    },
    "name": "web-server",
    "service_id": "550e8400-e29b-41d4-a716-446655440000",
    "type": "http",
    "updated_at": "2024-01-15T09:30:00Z"
  },
  "success": true
}